<a href="https://www.telerik.com/kendo-angular-ui/components/conversational-ui" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Conversational UI Package

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The Kendo UI for Angular Conversational UI bridges the gap between the Web and the next-generation natural language applications.

## What's Included in the Angular Conversational UI Package

The [Angular Conversational UI](https://www.telerik.com/kendo-angular-ui/components/conversational-ui) package includes two built-in components:

* [Angular AIPrompt Component](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/aiprompt)
* [Angular Chat Component](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat)

## Key Features

Among the many features which the Kendo UI for Angular Conversational UI components deliver are:

* Data Binding&mdash;You can bind the message list of the Angular Chat component to streaming data. As a minimum data-binding configuration, provide a list of messages and a user instance, which identify the local participant. [Read more about the available data binding options of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/data-binding)
* Suggested Actions&mdash;The Angular Chat component enables you to display quick actions such as preset replies for the last message. [Read more about defining the quick actions of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/suggested-actions)
* Message Attachments&mdash;You can attach images, videos, or data to the Angular Chat component messages content. By default, the Chat displays message attachments as a carousel or a card deck below the message, and provides additional settings allowing you to further customize their layout. [Read more about the message attachment options of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/attachments)
* Views&mdash;The AIPrompt supports several views that can be used for various interactions with a trained AI model. [Read more about the view options of the AIPrompt...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/aiprompt/views)
* Templates&mdash;You can customize the appearance of the Conversational UI components by using templates. [Read more about the Chat message templates...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/message-templates)
* Globalization&mdash;The AIPrompt and Chat support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Chat supports rendering in a right-to-left (RTL) direction. [Read more about the globalization of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/globalization)
* Accessibility&mdash;The AIPrompt and Chat are accessible for screen readers and support WAI-ARIA attributes. [Read more about the accessibility of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/accessibility)
* Keyboard Navigation&mdash;The AIPrompt and Chat are accessible for screen readers and support WAI-ARIA attributes. [Read more about the accessibility of the Chat...](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/chat/accessibility)

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Conversational UI, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-center/contact-us/technical-support).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Conversational UI](https://www.telerik.com/kendo-angular-ui/components/conversational-ui/installation/getting-started)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)


*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
