/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./aiprompt.component";
import * as i2 from "./views/prompt-view.component";
import * as i3 from "./views/output-view.component";
import * as i4 from "./views/command-view.component";
import * as i5 from "./views/custom-view.component";
import * as i6 from "./localization/custom-messages.component";
import * as i7 from "./templates/toolbar-actions.template";
import * as i8 from "./common/toolbar-focusable.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmodules']) for the AIPrompt component.
 *
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { AIPromptModule } from '@progress/kendo-angular-conversational-ui';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   imports: [BrowserModule, AIPromptModule],
 *   declarations: [AppComponent],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class AIPromptModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<AIPromptModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AIPromptModule, never, [typeof i1.AIPromptComponent, typeof i2.PromptViewComponent, typeof i3.OutputViewComponent, typeof i4.CommandViewComponent, typeof i5.CustomViewComponent, typeof i6.AIPromptCustomMessagesComponent, typeof i7.AIPromptToolbarActionsDirective, typeof i8.AIPromptToolbarFocusableDirective], [typeof i1.AIPromptComponent, typeof i2.PromptViewComponent, typeof i3.OutputViewComponent, typeof i4.CommandViewComponent, typeof i5.CustomViewComponent, typeof i6.AIPromptCustomMessagesComponent, typeof i7.AIPromptToolbarActionsDirective, typeof i8.AIPromptToolbarFocusableDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AIPromptModule>;
}
