/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subject } from 'rxjs';
import { AIPromptComponent } from '../aiprompt.component';
import { PromptCommand, PromptOutput, CommandExecuteEvent, PromptRequestEvent, OutputRatingChangeEvent } from '../models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AIPromptService {
    aiPrompt: AIPromptComponent;
    promptValue: string;
    showOutputRating: boolean;
    requestEvent: Subject<PromptRequestEvent>;
    executeEvent: Subject<CommandExecuteEvent>;
    outputCopyEvent: Subject<PromptOutput>;
    outputRatingChangeEvent: Subject<OutputRatingChangeEvent>;
    promptCommands: Array<PromptCommand>;
    promptOutputs: Array<PromptOutput>;
    promptSuggestions: Array<string>;
    getFlattenPromptCommands(commands?: Array<PromptCommand>): Array<PromptCommand>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AIPromptService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AIPromptService>;
}
