/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { PromptOutput, PromptOutputRating } from '../models/prompt-output.interface';
import { AIPromptService } from './aiprompt.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class AIPromptOutputCardComponent implements OnInit {
    private localization;
    private service;
    hostClass: boolean;
    listItemRole: string;
    tabIndex: number;
    get ariaDescribedBy(): string;
    ariaKeyShortcuts: string;
    promptOutput: PromptOutput;
    constructor(localization: LocalizationService, service: AIPromptService);
    ngOnInit(): void;
    copyIcon: SVGIcon;
    retryIcon: SVGIcon;
    positiveRatingIcon: SVGIcon;
    negativeRatingIcon: SVGIcon;
    titleId: string;
    messageFor(text: string): string;
    get showRating(): boolean;
    get outputTitle(): string;
    handleRetry(): void;
    handleCopy(): void;
    handleRating(ratingType: PromptOutputRating): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AIPromptOutputCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AIPromptOutputCardComponent, "[kendoAIPromptOutputCard]", never, { "promptOutput": { "alias": "promptOutput"; "required": false; }; }, {}, never, never, true, never>;
}
