/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { AIPromptToolbarFocusableDirective } from './toolbar-focusable.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ToolbarNavigationService {
    private localizationService;
    focusableElements: AIPromptToolbarFocusableDirective[];
    currentFocusedIndex: number;
    constructor(localizationService: LocalizationService);
    register(tool: AIPromptToolbarFocusableDirective): void;
    unregister(tool: AIPromptToolbarFocusableDirective): void;
    isActive(focusable: AIPromptToolbarFocusableDirective): boolean;
    setActiveIndex(tool: AIPromptToolbarFocusableDirective): void;
    move(direction: 'left' | 'right'): void;
    focusFirst(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarNavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToolbarNavigationService>;
}
