/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the custom messages component of the AIPrompt.
 *
 * Use this component to override default messages for the AIPrompt
 * ([see example](slug:globalization_chat#custom-messages)).
 *
 * @example
 * ```html
 * <kendo-aiprompt-messages
 *   promptView="My prompt view"
 *   outputView="My output view">
 * </kendo-aiprompt-messages>
 * ```
 */
export declare class AIPromptCustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AIPromptCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AIPromptCustomMessagesComponent, "kendo-aiprompt-messages", never, {}, {}, never, never, true, never>;
}
