/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * Sets the Toolbar button text for the **Prompt** view.
     */
    promptView: string;
    /**
     * Sets the Toolbar button text for the **Output** view.
     */
    outputView: string;
    /**
     * Sets the text for the **Generate** button in the **Prompt** view.
     */
    generateOutput: string;
    /**
     * Sets the placeholder text for the **Prompt** view text area.
     */
    promptPlaceholder: string;
    /**
     * Sets the text for the **Copy** button text in each **Output** view card.
     */
    copyOutput: string;
    /**
     * Sets the **Retry** button text in each **Output** view card.
     */
    retryGeneration: string;
    /**
     * Sets the title of each card in the **Output** view.
     */
    outputTitle: string;
    /**
     * Sets the title of each retry card in the **Output** view.
     */
    outputRetryTitle: string;
    /**
     * Sets the title of the **Prompt suggestions** button.
     */
    promptSuggestions: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, never, never, { "promptView": { "alias": "promptView"; "required": false; }; "outputView": { "alias": "outputView"; "required": false; }; "generateOutput": { "alias": "generateOutput"; "required": false; }; "promptPlaceholder": { "alias": "promptPlaceholder"; "required": false; }; "copyOutput": { "alias": "copyOutput"; "required": false; }; "retryGeneration": { "alias": "retryGeneration"; "required": false; }; "outputTitle": { "alias": "outputTitle"; "required": false; }; "outputRetryTitle": { "alias": "outputRetryTitle"; "required": false; }; "promptSuggestions": { "alias": "promptSuggestions"; "required": false; }; }, {}, never, never, false, never>;
}
