/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AIPromptComponent } from "../aiprompt.component";
import { PromptCommand } from "./command.interface";
/**
 * Represents the arguments for the `commandExecute` event of the AIPrompt
 * ([see example](slug:events_aiprompt)).
 */
export interface CommandExecuteEvent {
    /**
     * Contains information about the selected command.
     */
    command: PromptCommand;
    /**
     * Represents the instance of the AIPrompt component.
     */
    sender: AIPromptComponent;
    /**
     * Specifies if the event is triggered by the Retry button.
     */
    isRetry: boolean;
}
