/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SVGIcon } from "@progress/kendo-svg-icons";
/**
 * Defines the interface for the AIPrompt commands rendered in the Command view.
 */
export interface PromptCommand {
    /**
     * Represents the unique identifier of the command.
     */
    id: string | number;
    /**
     * Specifies the command text.
     */
    text?: string;
    /**
     * Specifies the name of the [font icon](slug:icons#icons-list) to render for the command.
     */
    icon?: string;
    /**
     * Specifies the name of the [SVG icon](slug:svgicon_list) to render for the command.
     */
    svgIcon?: SVGIcon;
    /**
     * Defines the child commands as an array.
     */
    children?: Array<PromptCommand>;
}
