/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PromptOutput, PromptOutputRating } from "./prompt-output.interface";
/**
 * Represents the arguments for the `outputRatingChange` event of the AIPrompt
 * ([see example](slug:events_aiprompt)).
 */
export interface OutputRatingChangeEvent {
    /**
     * Specifies the prompt output for which the rating changes.
     */
    promptOutput: PromptOutput;
    /**
     * Specifies the prompt output rating.
     */
    rating: PromptOutputRating;
}
