/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents a template for additional Toolbar actions.
 * The actions appear after the Toolbar buttons for all views.
 *
 * To define the template, nest an `<ng-template>` tag
 * with the `kendoAIPromptToolbarActionsTemplate` directive inside the `<kendo-aiprompt>` tag.
 *
 * @example
 * ```html
 * <kendo-aiprompt>
 *   <ng-template kendoAIPromptToolbarActionsTemplate>
 *     <button kendoButton>Custom Action</button>
 *   </ng-template>
 * </kendo-aiprompt>
 * ```
 */
export declare class AIPromptToolbarActionsDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<AIPromptToolbarActionsDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AIPromptToolbarActionsDirective, "[kendoAIPromptToolbarActionsTemplate]", never, {}, {}, never, never, true, never>;
}
