/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { PanelBarItemModel, PanelBarItemClickEvent } from '@progress/kendo-angular-layout';
import { BaseView } from './base-view';
import { AIPromptService } from '../common/aiprompt.service';
import * as i0 from "@angular/core";
/**
 * Represents the component that renders the **Command** view of the AIPrompt.
 *
 * @example
 * ```html
 * <kendo-aiprompt-command-view
 *      buttonText="My command view">
 * </kendo-aiprompt-command-view>
 * ```
 */
export declare class CommandViewComponent extends BaseView implements OnInit {
    private service;
    constructor(localization: LocalizationService, service: AIPromptService);
    /**
     * @hidden
     */
    panelBarItems: Array<PanelBarItemModel>;
    ngOnInit(): void;
    /**
     * @hidden
     */
    itemClickHandler(ev: PanelBarItemClickEvent): void;
    private getPanelBarItems;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommandViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CommandViewComponent, "kendo-aiprompt-command-view", never, {}, {}, never, never, true, never>;
}
