/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { BaseView } from './base-view';
import * as i0 from "@angular/core";
/**
 * Represents the component that renders a **Custom** view in the AIPrompt.
 *
 * @example
 * ```html
 * <kendo-aiprompt-custom-view [viewTemplate]="customTemplate">
 * </kendo-aiprompt-custom-view>
 *
 * <ng-template #customTemplate>
 *   <div>Custom content here</div>
 * </ng-template>
 * ```
 */
export declare class CustomViewComponent extends BaseView {
    constructor(localization: LocalizationService);
    /**
     * Sets the content of the Custom view as a template reference.
     */
    viewTemplate: TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomViewComponent, "kendo-aiprompt-custom-view", never, { "viewTemplate": { "alias": "viewTemplate"; "required": false; }; }, {}, never, never, true, never>;
}
