/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { BaseView } from './base-view';
import { PromptOutput } from '../models/prompt-output.interface';
import { AIPromptService } from '../common/aiprompt.service';
import * as i0 from "@angular/core";
/**
 * Represents the component that renders the **Output** view of the AIPrompt.
 *
 * @example
 * ```html
 * <kendo-aiprompt-output-view
 *      buttonText="My output view">
 * </kendo-aiprompt-output-view>
 * ```
 */
export declare class OutputViewComponent extends BaseView {
    private service;
    constructor(localization: LocalizationService, service: AIPromptService);
    /**
     * @hidden
     */
    get promptOutputs(): Array<PromptOutput>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OutputViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OutputViewComponent, "kendo-aiprompt-output-view", never, {}, {}, never, never, true, never>;
}
