/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { BaseView } from './base-view';
import { AIPromptService } from '../common/aiprompt.service';
import * as i0 from "@angular/core";
/**
 * Represents the component that renders the **Prompt** view of the AIPrompt.
 *
 * @example
 * ```html
 * <kendo-aiprompt-prompt-view
 *      buttonText="My prompt view">
 * </kendo-aiprompt-prompt-view>
 * ```
 */
export declare class PromptViewComponent extends BaseView {
    private service;
    constructor(localization: LocalizationService, service: AIPromptService);
    /**
     * @hidden
     */
    get suggestionsIcons(): {
        font: string;
        svg: SVGIcon;
    };
    /**
     * @hidden
     */
    showSuggestions: boolean;
    /**
     * @hidden
     */
    contentId: string;
    /**
     * @hidden
     */
    get promptSuggestions(): string[];
    /**
     *
     * @hidden
     */
    set textAreaValue(value: string);
    get textAreaValue(): string;
    /**
     * @hidden
     */
    suggestionClick(suggestion: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PromptViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PromptViewComponent, "kendo-aiprompt-prompt-view", never, {}, {}, never, never, true, never>;
}
