/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "./preventable-event";
import { Message } from "./message.interface";
import { Action } from "./action.interface";
/**
 * Represents the arguments for the `executeAction` event.
 *
 * The `executeAction` event fires when the user clicks a quick action button.
 * Call `preventDefault()` to suppress the built-in action handler.
 */
export declare class ExecuteActionEvent extends PreventableEvent {
    /**
     * Represents the action to execute.
     */
    action: Action;
    /**
     * Represents the message that contains the action.
     */
    message: Message;
    /**
     * @hidden
     */
    constructor(action: Action, message: Message);
}
