/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SafeUrl } from '@angular/platform-browser';
/**
 * Represents a participant in a Chat conversation ([see example](slug:overview_convui)).
 */
export interface User {
    /**
     * Sets a unique ID for the user. Usually a number, but can be a string or object.
     */
    id: any;
    /**
     * Sets the display name for the user.
     */
    name?: string;
    /**
     * Sets an avatar image for the user. By default, the URLs are sanitized.
     * To allow unsafe values, such as a blob URI, [mark the value as a `SafeUrl`](https://angular.io/guide/security#bypass-security-apis).
     */
    avatarUrl?: string | SafeUrl;
}
