/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * Defines a template for displaying message attachments.
 *
 * To define an attachment template, nest an `<ng-template>` tag with the `kendoChatAttachmentTemplate` attribute inside the `<kendo-chat>` component.
 * The template context is set to the attachment instance.
 * For more information, refer to the article on [message attachments](slug:attachments_chat).
 *
 * @example
 * ```html
 * <kendo-chat>
 *   <ng-template kendoChatAttachmentTemplate let-attachment>
 *     <div>Attachment: {{ attachment.content }}</div>
 *   </ng-template>
 * </kendo-chat>
 * ```
 */
export declare class AttachmentTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<AttachmentTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AttachmentTemplateDirective, "[kendoChatAttachmentTemplate]", never, {}, {}, never, never, true, never>;
}
