/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./chat.component";
import * as i2 from "./l10n/custom-messages.component";
import * as i3 from "./attachment-template.directive";
import * as i4 from "./message-template.directive";
import * as i5 from "./cards/hero-card.component";
import * as i6 from "./message-box.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmodules']) for the Chat component.
 *
 * @example
 * ```ts-no-run
 * import { NgModule } from '@angular/core';
 * import { Component } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 *
 * import { ChatModule } from '@progress/kendo-angular-conversational-ui';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *   imports: [BrowserModule, ChatModule],
 *   declarations: [AppComponent],
 *   bootstrap: [AppComponent]
 * })
 *
 * export class AppModule { }
 * ```
 */
export declare class ChatModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ChatModule, never, [typeof i1.ChatComponent, typeof i2.CustomMessagesComponent, typeof i3.AttachmentTemplateDirective, typeof i4.MessageTemplateDirective, typeof i5.HeroCardComponent, typeof i6.ChatMessageBoxTemplateDirective], [typeof i1.ChatComponent, typeof i2.CustomMessagesComponent, typeof i3.AttachmentTemplateDirective, typeof i4.MessageTemplateDirective, typeof i5.HeroCardComponent, typeof i6.ChatMessageBoxTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ChatModule>;
}
