/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ScrollAnchorDirective implements AfterViewInit, OnInit, OnDestroy {
    private element;
    private zone;
    private renderer;
    autoScroll: boolean;
    autoScrollChange: EventEmitter<boolean>;
    overflowAnchor: string;
    private scrolling;
    private unsubscribe;
    constructor(element: ElementRef, zone: NgZone, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onScroll(): void;
    scrollToBottom(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollAnchorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollAnchorDirective, "[kendoChatScrollAnchor]", ["scrollAnchor"], { "autoScroll": { "alias": "autoScroll"; "required": false; }; }, { "autoScrollChange": "autoScrollChange"; }, never, never, true, never>;
}
