/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the custom messages component of the Chat.
 *
 * Use this component to override default messages for the Chat
 * ([see example](slug:globalization_chat#custom-messages)).
 *
 * @example
 * ```html
 * <kendo-chat-messages
 *   send="Send Message"
 *   messagePlaceholder="Type here...">
 * </kendo-chat-messages>
 * ```
 */
export declare class CustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-chat-messages", never, {}, {}, never, never, true, never>;
}
