/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * Sets the placeholder text for the message text input.
     */
    messagePlaceholder: string;
    /**
     * Sets the text for the **Send** button.
     */
    send: string;
    /**
     * Sets the label for the message list.
     */
    messageListLabel: string;
    /**
     * Sets the label for the message input box.
     */
    messageBoxInputLabel: string;
    /**
     * Sets the text for the left arrow of the message attachments.
     */
    messageAttachmentLeftArrow: string;
    /**
     * Sets the text for the right arrow of the message attachments.
     */
    messageAttachmentRightArrow: string;
    /**
     * Sets the `alt` attribute text for the avatar image.
     */
    messageAvatarAlt: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, "kendoConversationalUIMessages", never, { "messagePlaceholder": { "alias": "messagePlaceholder"; "required": false; }; "send": { "alias": "send"; "required": false; }; "messageListLabel": { "alias": "messageListLabel"; "required": false; }; "messageBoxInputLabel": { "alias": "messageBoxInputLabel"; "required": false; }; "messageAttachmentLeftArrow": { "alias": "messageAttachmentLeftArrow"; "required": false; }; "messageAttachmentRightArrow": { "alias": "messageAttachmentRightArrow"; "required": false; }; "messageAvatarAlt": { "alias": "messageAvatarAlt"; "required": false; }; }, {}, never, never, false, never>;
}
