/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, ElementRef, NgZone, OnDestroy, QueryList } from '@angular/core';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Attachment, AttachmentLayout } from './api/attachment.interface';
import { ChatItem } from './chat-item';
import { AttachmentTemplateDirective } from './attachment-template.directive';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MessageAttachmentsComponent extends ChatItem implements AfterViewInit, OnDestroy {
    private zone;
    private localizationService;
    /**
     * @hidden
     */
    chevronLeftIcon: SVGIcon;
    /**
     * @hidden
     */
    chevronRightIcon: SVGIcon;
    attachments: Attachment[];
    layout: AttachmentLayout;
    tabbable: boolean;
    template: AttachmentTemplateDirective;
    localization: LocalizationService;
    get carousel(): boolean;
    deck: ElementRef;
    items: QueryList<ElementRef>;
    private scrollPosition;
    private selectedIndex;
    private scrollSubscription;
    private direction;
    get showLeftArrow(): boolean;
    get showRightArrow(): boolean;
    private carouselKeyHandlers;
    private listKeyHandlers;
    constructor(zone: NgZone, localizationService: LocalizationService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    isSelected(index: number): boolean;
    itemKeydown(e: any, attachment: Attachment): void;
    itemClick(index: number): void;
    focus(): void;
    scrollTo(dir: number): void;
    private select;
    private navigateTo;
    private onScroll;
    /**
     * @hidden
     */
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageAttachmentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageAttachmentsComponent, "kendo-chat-message-attachments", never, { "attachments": { "alias": "attachments"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "tabbable": { "alias": "tabbable"; "required": false; }; "template": { "alias": "template"; "required": false; }; "localization": { "alias": "localization"; "required": false; }; }, {}, never, never, true, never>;
}
