/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { User } from './api/user.interface';
import { MessageBoxType } from './common/models/message-box-options';
import { ChatMessageBoxTemplateDirective } from './message-box.directive';
import { TextAreaComponent, TextBoxComponent } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MessageBoxComponent {
    borderColor: string;
    messageBoxInput: TextBoxComponent | TextAreaComponent;
    user: User;
    autoScroll: boolean;
    type: MessageBoxType;
    localization: LocalizationService;
    messageBoxTemplate: ChatMessageBoxTemplateDirective;
    sendMessage: EventEmitter<any>;
    /**
     * @hidden
     */
    sendIcon: SVGIcon;
    /**
     * @hidden
     */
    sendClick(): void;
    /**
     * @hidden
     */
    inputKeydown(e: any): void;
    /**
     * @hidden
     */
    textAreaKeydown(e: any): void;
    /**
     * @hidden
     */
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageBoxComponent, "kendo-message-box", never, { "user": { "alias": "user"; "required": false; }; "autoScroll": { "alias": "autoScroll"; "required": false; }; "type": { "alias": "type"; "required": false; }; "localization": { "alias": "localization"; "required": false; }; "messageBoxTemplate": { "alias": "messageBoxTemplate"; "required": false; }; }, { "sendMessage": "sendMessage"; }, never, never, true, never>;
}
