/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Creates a message box area that overrides the default message box of the Chat component.
 *
 * To define a message box template, nest an `<ng-template>` tag with the `kendoChatMessageBoxTemplate` directive inside the `<kendo-chat>` tag.
 * For more information, see [Message Box Template](slug:message_box#toc-message-box-template).
 *
 * @example
 * ```html
 * <kendo-chat>
 *   <ng-template kendoChatMessageBoxTemplate>
 *     <input type="text" placeholder="Custom message box..." />
 *   </ng-template>
 * </kendo-chat>
 * ```
 */
export declare class ChatMessageBoxTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatMessageBoxTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ChatMessageBoxTemplateDirective, "[kendoChatMessageBoxTemplate]", never, {}, {}, never, never, true, never>;
}
