/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * Defines a template for displaying Chat messages.
 *
 * To define a message template, nest an `<ng-template>` tag with the `kendoChatMessageTemplate` directive inside the `<kendo-chat>` component.
 * The template context is set to the `message` instance.
 * For more information, refer to the article on [message templates](slug:message_templates_chat).
 *
 * @example
 * ```html
 * <kendo-chat>
 *   <ng-template kendoChatMessageTemplate let-message>
 *     <div>Message: {{ message.text }}</div>
 *   </ng-template>
 * </kendo-chat>
 * ```
 */
export declare class MessageTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MessageTemplateDirective, "[kendoChatMessageTemplate]", never, {}, {}, never, never, true, never>;
}
