/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { Message } from './api/message.interface';
import { ChatItem } from './chat-item';
import { MessageTemplateDirective } from './message-template.directive';
import { IntlService } from '@progress/kendo-angular-intl';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class MessageComponent extends ChatItem {
    private element;
    private intl;
    message: Message;
    tabbable: boolean;
    template: MessageTemplateDirective;
    cssClass: boolean;
    selected: boolean;
    get tabIndex(): string;
    constructor(element: ElementRef, intl: IntlService);
    formatTimeStamp(date: any): string;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageComponent, "kendo-chat-message", never, { "message": { "alias": "message"; "required": false; }; "tabbable": { "alias": "tabbable"; "required": false; }; "template": { "alias": "template"; "required": false; }; }, {}, never, never, true, never>;
}
