/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, QueryList } from '@angular/core';
import { Action } from './api/action.interface';
import { ChatItem } from './chat-item';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SuggestedActionsComponent extends ChatItem {
    actions: Action[];
    tabbable: boolean;
    dispatch: EventEmitter<Action>;
    defaultClass: boolean;
    items: QueryList<ElementRef>;
    selectedIndex: number;
    private keyHandlers;
    isSelected(index: number): boolean;
    actionClick(action: Action): void;
    actionKeydown(e: any, action: Action): void;
    focus(): void;
    private changeSelectedIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<SuggestedActionsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SuggestedActionsComponent, "kendo-chat-suggested-actions", never, { "actions": { "alias": "actions"; "required": false; }; "tabbable": { "alias": "tabbable"; "required": false; }; }, { "dispatch": "dispatch"; }, never, never, true, never>;
}
