/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./ai-prompt/aiprompt.component";
import * as i2 from "./ai-prompt/views/prompt-view.component";
import * as i3 from "./ai-prompt/views/output-view.component";
import * as i4 from "./ai-prompt/views/command-view.component";
import * as i5 from "./ai-prompt/views/custom-view.component";
import * as i6 from "./ai-prompt/localization/custom-messages.component";
import * as i7 from "./ai-prompt/templates/toolbar-actions.template";
import * as i8 from "./ai-prompt/common/toolbar-focusable.directive";
import * as i9 from "./chat/chat.component";
import * as i10 from "./chat/l10n/custom-messages.component";
import * as i11 from "./chat/attachment-template.directive";
import * as i12 from "./chat/message-template.directive";
import * as i13 from "./chat/cards/hero-card.component";
import * as i14 from "./chat/message-box.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmodules']) for the Conversational UI components.
 *
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { ConversationalUIModule } from '@progress/kendo-angular-conversational-ui';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, ConversationalUIModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class ConversationalUIModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ConversationalUIModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ConversationalUIModule, never, [typeof i1.AIPromptComponent, typeof i2.PromptViewComponent, typeof i3.OutputViewComponent, typeof i4.CommandViewComponent, typeof i5.CustomViewComponent, typeof i6.AIPromptCustomMessagesComponent, typeof i7.AIPromptToolbarActionsDirective, typeof i8.AIPromptToolbarFocusableDirective, typeof i9.ChatComponent, typeof i10.CustomMessagesComponent, typeof i11.AttachmentTemplateDirective, typeof i12.MessageTemplateDirective, typeof i13.HeroCardComponent, typeof i14.ChatMessageBoxTemplateDirective], [typeof i1.AIPromptComponent, typeof i2.PromptViewComponent, typeof i3.OutputViewComponent, typeof i4.CommandViewComponent, typeof i5.CustomViewComponent, typeof i6.AIPromptCustomMessagesComponent, typeof i7.AIPromptToolbarActionsDirective, typeof i8.AIPromptToolbarFocusableDirective, typeof i9.ChatComponent, typeof i10.CustomMessagesComponent, typeof i11.AttachmentTemplateDirective, typeof i12.MessageTemplateDirective, typeof i13.HeroCardComponent, typeof i14.ChatMessageBoxTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ConversationalUIModule>;
}
