/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * Sets the Toolbar button text for the **Prompt** view.
     */
    promptView;
    /**
     * Sets the Toolbar button text for the **Output** view.
     */
    outputView;
    /**
     * Sets the text for the **Generate** button in the **Prompt** view.
     */
    generateOutput;
    /**
     * Sets the placeholder text for the **Prompt** view text area.
     */
    promptPlaceholder;
    /**
     * Sets the text for the **Copy** button text in each **Output** view card.
     */
    copyOutput;
    /**
     * Sets the **Retry** button text in each **Output** view card.
     */
    retryGeneration;
    /**
     * Sets the title of each card in the **Output** view.
     */
    outputTitle;
    /**
     * Sets the title of each retry card in the **Output** view.
     */
    outputRetryTitle;
    /**
     * Sets the title of the **Prompt suggestions** button.
     */
    promptSuggestions;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, inputs: { promptView: "promptView", outputView: "outputView", generateOutput: "generateOutput", promptPlaceholder: "promptPlaceholder", copyOutput: "copyOutput", retryGeneration: "retryGeneration", outputTitle: "outputTitle", outputRetryTitle: "outputRetryTitle", promptSuggestions: "promptSuggestions" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive
        }], propDecorators: { promptView: [{
                type: Input
            }], outputView: [{
                type: Input
            }], generateOutput: [{
                type: Input
            }], promptPlaceholder: [{
                type: Input
            }], copyOutput: [{
                type: Input
            }], retryGeneration: [{
                type: Input
            }], outputTitle: [{
                type: Input
            }], outputRetryTitle: [{
                type: Input
            }], promptSuggestions: [{
                type: Input
            }] } });
