/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Describes the arguments for the `sendMessage` event.
 */
export class SendMessageEvent {
    /**
     * Represents the message that contains the metadata and user input.
     *
     * > The Chat does not automatically add the message to its data.
     * > For more information, see [Data Binding](slug:databinding_chat).
     */
    message;
    /**
     * @hidden
     */
    constructor(message) {
        this.message = message;
    }
}
