/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * Sets the placeholder text for the message text input.
     */
    messagePlaceholder;
    /**
     * Sets the text for the **Send** button.
     */
    send;
    /**
     * Sets the label for the message list.
     */
    messageListLabel;
    /**
     * Sets the label for the message input box.
     */
    messageBoxInputLabel;
    /**
     * Sets the text for the left arrow of the message attachments.
     */
    messageAttachmentLeftArrow;
    /**
     * Sets the text for the right arrow of the message attachments.
     */
    messageAttachmentRightArrow;
    /**
     * Sets the `alt` attribute text for the avatar image.
     */
    messageAvatarAlt;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, selector: "kendoConversationalUIMessages", inputs: { messagePlaceholder: "messagePlaceholder", send: "send", messageListLabel: "messageListLabel", messageBoxInputLabel: "messageBoxInputLabel", messageAttachmentLeftArrow: "messageAttachmentLeftArrow", messageAttachmentRightArrow: "messageAttachmentRightArrow", messageAvatarAlt: "messageAvatarAlt" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'kendoConversationalUIMessages'
                }]
        }], propDecorators: { messagePlaceholder: [{
                type: Input
            }], send: [{
                type: Input
            }], messageListLabel: [{
                type: Input
            }], messageBoxInputLabel: [{
                type: Input
            }], messageAttachmentLeftArrow: [{
                type: Input
            }], messageAttachmentRightArrow: [{
                type: Input
            }], messageAvatarAlt: [{
                type: Input
            }] } });
